Name:           tagsoup
Version:        1.2.1
Release:        18
Summary:        A SAX-compliant HTML parser written in Java
License:        Apache-2.0
URL:            https://vrici.lojban.org/~cowan/XML/tagsoup
Source0:        http://vrici.lojban.org/~cowan/XML/tagsoup/%{name}-%{version}-src.zip
Source1:        https://repo1.maven.org/maven2/org/ccil/cowan/tagsoup/tagsoup/1.2.1/tagsoup-1.2.1.pom

BuildArch:      noarch
BuildRequires:  javapackages-local ant-apache-xalan2 ant xalan-j2
Requires:       jpackage-utils >= 0:1.6

Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description
TagSoup is designed as a parser, not a whole application; it isn't 
intended to permanently clean up bad HTML, as HTML Tidy does, only 
to parse it on the fly. Therefore, it does not convert presentation 
HTML to CSS or anything similar. It does guarantee well-structured 
results: tags will wind up properly nested, default attributes 
will appear appropriately, and so on.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

find -name '*.class' | xargs rm -f
find -name '*.jar' | xargs rm -f

%build
export CLASSPATH=$(build-classpath xalan-j2-serializer xalan-j2)
ant -Dtagsoup.version=%{version} -Dj2se.apiurl=%{_javadocdir}/java \
    dist docs-api

%install
%mvn_file : tagsoup
%mvn_artifact %{SOURCE1} dist/lib/%{name}-%{version}.jar

%mvn_install -J docs/api

install -Dd -m 0755 %{buildroot}%{_mandir}/man1
install -m 0644 tagsoup.1 %{buildroot}%{_mandir}/man1

%files
%defattr(-,root,root)
%doc 
%license LICENSE
%{_datadir}/java/*
%{_datadir}/javadoc/*
%{_datadir}/maven-poms/*
%{_datadir}/maven-metadata/*

%files help
%defattr(-,root,root)
%doc
%{_mandir}/man1/*

%changelog
* Mon Feb 17 2020 lingsheng <lingsheng@huawei.com> - 1.2.1-18
- Package init
